<template>
    <div class="timer-app ">
        <div class="app-header">
            <div class="top-app">
                <router-link to="/timer">
                    <span class="icon-close"></span>
                </router-link>
                <h1 class="title bounce animated">New task</h1>
                <span></span>
            </div>
        </div>
        <!--tasks-->
        <div class="app-tasks">
            <div class="task-grid">
                <input type="text" class="title" v-model="title" placeholder="task title">
                <textarea v-model="comment"  placeholder="task description" id="comments"></textarea>
            </div>
        </div>

        <div class="app-footer">
            <span class="entry"></span>
            <label v-on:click="returnTimer"  class="time-elapsed">Add</label>
        </div>
    </div>
</template>

<script>
    const {ipcRenderer} = window.require('electron')
    export default {
        name: 'timer-page',
        data: function () {
            return {
                isBusy: false,
                comment: '',
                title: '',
                error: {show: false, message: ''}
            }
        },
        methods: {
            returnTimer () {
                this.$store.commit('INSERT_NEW', {title:this.title,description:this.comment})
                this.comment = ''
                this.title = ''
                this.$router.push('timer')

            },
            formatNumbers: function (number) {
                return ('0' + number).slice(-2)
            },
            formatText: function (text,cutAt){
                return text.substr(0,cutAt-1)+(text.length>cutAt?'...':'');
            },
        },
        created: function () {

        }

    }

</script>


<style scoped lang="scss">
    @import url('https://fonts.googleapis.com/css?family=Roboto');

    //Imports
    $red-color: #ef5f59;
    $roboto: 'Roboto', sans-serif;


    .active-message{
        bottom:0 !important;
        transition: linear .5s;
    }



    textarea:focus, input:focus{
        outline: none;
    }
    .text{
        font-family: $roboto;
        font-size: 16px;
        color:#888;
    }
    .regular{
        font-family: $roboto;
        font-size: 14px;
        color:#888;
        margin:0;
    }
    .small{
        font-family: $roboto;
        font-size: 12px;
        color:#888;
        margin:0;
    }
    .timer-app {
        width: 100%;
        height: 100vh;
        background: white;
        color: white;
        overflow-y: hidden;
    }
    .app-header{
        height:50px;
        position: relative;
        background: $red-color;
        overflow: hidden;
        .top-app{
            width: 100%;
            height: 50px;
            line-height: 50px;
            text-align: center;
            box-shadow: 0 2px 5px -1px rgba(80, 79, 79, 0.75);
            position:relative;
            display: flex;
            justify-content: space-between;
            align-items: center;
            h1.title{
                font-family: $roboto;
                font-size: 18px;
                font-weight: 500;
                margin: 0;
            }
            span{
                font-size: 22px;
                color:#FFF;
                width: 45px;
                text-align: center;
                display: inline-block;
                &:hover{
                    color:#FEE;
                    cursor: pointer;
                    transition:all .3s;
                }

            }


        }


    }
    .top-container{
        width:100%;
        display:flex;
        justify-content:center;
        align-items:center;
        min-height:130px;

        .duties{
            width: 50%;
            h3{
                font-family: $roboto;
                font-size: 20px;
                text-align: center;
                margin: 0;
                line-height: 30px;
            }
        }
        .timer{
            width: 50%;

            h1{
                font-family: $roboto;
                font-size: 50px;
                margin: 0;
                text-align:center;

            }
        }
    }

    .info-messages{
        width: 100%;
        height: 25px;
        position: absolute;
        bottom:-26px;
        background: lighten(#eee,5%);
        border-bottom: 1px solid #eee;
        text-align: center;
        transition:all .5s;
        p{
            line-height: 25px;
            @extend .regular;

        }

    }


    .app-tasks{
        min-height: 150px;
        width:100%;
        height: 210px;
        background: white;
        padding: .5em 0;
        .task-grid{
            width: 90%;
            height: 210px;
            background: white;
            margin: 2px auto;
            .title {
                border-radius: 5px;
                width: 100%;
                font-family: $roboto;
                font-size: 14px;
                text-indent: 5px;
                border: 1px solid gainsboro;
                margin: 10px 0 10px 0;
                height: 20%;
            }
            #comments{
                border-radius: 5px;
                width: 100%;
                height: 250px;
                font-family: $roboto;
                border: 1px solid gainsboro;

                font-size: 14px;
                text-indent: 5px;
            }

        }
    }
    .app-footer{
        width: 100%;
        height: 50px;
        background: lighten(#eee,5%);
        position: fixed;
        bottom: 0;
        display: flex;
        align-items: center;
        color: black;
        justify-content: space-between;
        font-size: 14px;
        line-height: 50px;
        .entry{
            width: 70px;
            height: 35px;
            @extend .text;
            display: flex;
            align-items: center;
            justify-content: center;
            transition:all .3s;
            &:hover{
                color:lighten(#888,10%);
                cursor: pointer;
                transition:all .3s;
            }


            &::before{
                font-family: "timer";
                font-size: 18px;
                color:#888;
                display: inline-block;

                position: relative;
                top: 2px;
                left: -1px;
            }

        }
        .time-elapsed{
            cursor: pointer;
            @extend .text;
            min-width: 100px;
            text-align: center;
        }
    }
</style>
